<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования позиции по поисковым запросам.
 * 
 * Файл: /admin/seo/action/add_position_search.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// Получаем переданные поля
$param['seo_position_search_query_id'] = to_int($_POST['seo_position_search_query_id']);
$param['seo_search_query_id'] = to_int($_POST['seo_search_query_id']);
$param['seo_position_search_query_yandex'] = to_int($_POST['seo_position_search_query_yandex']);
$param['seo_position_search_query_rambler'] = to_int($_POST['seo_position_search_query_rambler']);
$param['seo_position_search_query_google'] = to_int($_POST['seo_position_search_query_google']);
$param['seo_position_search_query_aport'] = to_int($_POST['seo_position_search_query_aport']);
$param['seo_position_search_query_gogo'] = to_int($_POST['seo_position_search_query_gogo']);
$param['seo_position_search_query_yahoo'] = to_int($_POST['seo_position_search_query_yahoo']);
$param['seo_position_search_query_livesearch'] = to_int($_POST['seo_position_search_query_livesearch']);

if (isset($_POST['seo_position_search_query_date_time']))
{
	$param['seo_position_search_query_date_time'] = to_str($_POST['seo_position_search_query_date_time']);
}
else 
{
	$param['seo_position_search_query_date_time'] = date("Y-m-d H:i:s");
}

if (isset($_REQUEST['users_id'])) 
{
	$param['users_id'] = to_int($_REQUEST['users_id']);
}
else 
{
	$param['users_id'] = 0;
}

// Если добавление прошло успешно, обязательно добавим на форму скрытое поле с ID добавленной записи

if ($insert_id = $seo->InsertPositionSearch($param))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddPositionSearch', 'seo_position_search_query_id', '<?php echo $insert_id?>');
	</script><?php

	// Редактирование сущности
	if ($param['seo_position_search_query_id'])
	{
		show_message($GLOBALS['MSG_seo']['edit_success']);
	}
	else // Добавление сущности
	{
		show_message($GLOBALS['MSG_seo']['add_success']);
	}
}
else // Ошибка добавления/редактирования
{
	if ($param['seo_position_search_query_id'])
	{
		show_error_message($GLOBALS['MSG_seo']['edit_error']);
	}
	else
	{
		show_error_message($GLOBALS['MSG_seo']['add_error']);
	}
}
?>